library point;

import '../vectors/vector.dart';
import '../vectors/doublevector.dart';

abstract class Abstract2DPoint<N extends num> {
	Abstract2DVector<N> get position;
	N get x => position.x;
	N get y => position.y;
}


abstract class CustomDouble2DPoint extends Abstract2DPoint<double> {
	final CustomDouble2DVector _position = new CustomDouble2DVector( 0.0, 0.0 );

	CustomDouble2DVector get position => _position;
	double get x => _position.x;
	double get y => _position.y;
}